metaHTML

# Class: htmlTable

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlTable

Structures elements using a table.

### Constants

- footer
- header
- newLine

### Methods

- addElement
- addNewLine
- generateHTML
- mergeTableElements

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::OPTION_ALIGN

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 127]
Structures elements using a table.
[ Top ]

### Class Methods

### method addElement [line 148]

`void addElement( mixed $element, [boolean $newLine = false], array $options)`

Adds an element to the table. The element may be a htmlElement object or a simple String.

#### Tags:

access: | public

#### Parameters:

mixed | $element | htmlElement object or a simple String
boolean | $newLine | adds a new line after the element (optional, default false)
array | $options | list of options (e.g. htmlElement::OPTION_ALIGN => htmlElement::ALIGN_TOP)

[ Top ]

### method addNewLine [line 184]

`void addNewLine( )`

Adds another line to the table.

#### Tags:

access: | public

[ Top ]

### method generateHTML [line 204]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)
access: | public

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method mergeTableElements [line 233]

`void mergeTableElements( $table $table)`

Merges the content of another htmlTable object into this table.

#### Tags:

access: | public

#### Parameters:

$table | $table | table to get elements

[ Top ]

### Class Constants

#### footer = "</table>\n"

[line 132]

table footer
[ Top ]

#### header = "<table>\n"

[line 130]

table header
[ Top ]

#### newLine = "</tr><tr>\n"

[line 134]

new line
[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:18 +0200 by phpDocumentor 1.4.1